Package com.independentsoft.office.odf.styles

# Enum Class FontStretch

java.lang.Object
java.lang.Enum<FontStretch>
com.independentsoft.office.odf.styles.FontStretch

All Implemented Interfaces:
  `Serializable`, `Comparable<FontStretch>`, `Constable`

public enum FontStretch extends Enum<FontStretch>
Represents font stretch for the text content.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CONDENSED`
  Font strech is condensed.
  `EXPANDED`
  Font strech is expanded.
  `EXTRA_CONDENSED`
  Font strech is extra condensed.
  `EXTRA_EXPANDED`
  Font strech is expanded.
  `NONE`
  None
  `NORMAL`
  Font strech is normal.
  `SEMI_CONDENSED`
  Font strech is semi condensed.
  `SEMI_EXPANDED`
  Font strech is semi expanded.
  `ULTRA_CONDENSED`
  Font strech is ultra condensed.
  `ULTRA_EXPANDED`
  Font strech is ultra expanded.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FontStretch`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static FontStretch[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NORMAL

    public static final FontStretch NORMAL
    Font strech is normal.

  - ### ULTRA_CONDENSED

    public static final FontStretch ULTRA_CONDENSED
    Font strech is ultra condensed.

  - ### EXTRA_CONDENSED

    public static final FontStretch EXTRA_CONDENSED
    Font strech is extra condensed.

  - ### CONDENSED

    public static final FontStretch CONDENSED
    Font strech is condensed.

  - ### SEMI_CONDENSED

    public static final FontStretch SEMI_CONDENSED
    Font strech is semi condensed.

  - ### SEMI_EXPANDED

    public static final FontStretch SEMI_EXPANDED
    Font strech is semi expanded.

  - ### EXPANDED

    public static final FontStretch EXPANDED
    Font strech is expanded.

  - ### EXTRA_EXPANDED

    public static final FontStretch EXTRA_EXPANDED
    Font strech is expanded.

  - ### ULTRA_EXPANDED

    public static final FontStretch ULTRA_EXPANDED
    Font strech is ultra expanded.

  - ### NONE

    public static final FontStretch NONE
    None

- ## Method Details

  - ### values

    public static FontStretch[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FontStretch valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null